Bug 2006827 - Run 'subscription-manager clean' when force=true
Summary: Run 'subscription-manager clean' when force=true
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks: 1995279
TreeView+ depends on / blocked
 
Reported: 2021-09-22 13:45 UTC by Leos Stejskal
Modified: 2021-11-16 14:13 UTC (History)
2 users (show)

Fixed In Version: foreman-2.5.2.12-1,foreman-2.5.2.13-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:13:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33540 0 Normal Closed Run 'subscription-manager clean' when force=true 2021-09-27 13:09:46 UTC
Github theforeman foreman pull 8789 0 None Merged Run 'subscription-manager clean' when force=true 2021-09-27 13:09:51 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:13:58 UTC

Description Leos Stejskal 2021-09-22 13:45:16 UTC
Description of problem:
Registration of CentOS 8 & RHEL 8 hosts that are already subscribed to another instance (or to cloud) fails with following error:
```
Unregistering from: satellite.example.com
Unable to verify server's identity: [SSL: TLSV1_ALERT_UNKNOWN_CA] tlsv1 alert unknown ca (_ssl.c:897)
```

Version-Release number of selected component (if applicable):
6.10

How reproducible:
* CentOS 8 and RHEL 8 only that are already subscribed somewhere else

Steps to Reproduce:
1. Try to register already subscribed CentOS 8 / RHEL 8 machine


Actual results:
Registration fails with error:
```
Unregistering from: satellite.example.com
Unable to verify server's identity: [SSL: TLSV1_ALERT_UNKNOWN_CA] tlsv1 alert unknown ca (_ssl.c:897)
```

Expected results:
Machine successfully registered.

Additional info:
Registration template should run `subscription-manager clean` command when `--force` parameter is `true`

Comment 1 Leos Stejskal 2021-09-22 13:47:12 UTC
Created redmine issue https://projects.theforeman.org/issues/33540 from this bug

Comment 8 errata-xmlrpc 2021-11-16 14:13:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.